> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Access Token

> Exchange a valid refresh token for a new access token and rotated refresh token. The refresh token must be sent in the request body.



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json post /auth/refresh
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /auth/refresh:
    post:
      tags:
        - Auth
      summary: Refresh Access Token
      description: >-
        Exchange a valid refresh token for a new access token and rotated
        refresh token. The refresh token must be sent in the request body.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshRequest'
      responses:
        '200':
          description: New access token and rotated refresh token issued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshSuccess'
        '400':
          description: Invalid, expired, or reused refresh token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationOrError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RefreshRequest:
      type: object
      properties:
        refreshToken:
          type: string
          minLength: 1
      required:
        - refreshToken
    RefreshSuccess:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - true
        accessToken:
          type: string
        refreshToken:
          type: string
      required:
        - success
        - accessToken
        - refreshToken
    ValidationOrError:
      anyOf:
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error
    ValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          properties:
            name:
              type: string
              enum:
                - ValidationError
            message:
              type: string
          required:
            - name
            - message
      required:
        - success
        - error

````